### Method

# Fwupd Remote set_username

since: 2.0.0

#### Declaration [src]

    void
    fwupd_remote_set_username (
      FwupdRemote* self,
      const gchar* username
    )

#### Description [src]

Sets the remote username.

Available since: 2.0.0

#### Parameters

`username`

  Type: `const gchar*`

  An optional username.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.